! turbine specific parameters of the NREL 15 MW reference wind turbine
! https://www.nrel.gov/docs/fy20osti/75698.pdf
! https://github.com/IEAWindTask37/IEA-15-240-RWT

&turbine_parameters
    gear_efficiency = 1.0,                    ! no gear, direct drive
    gear_ratio = 1.0,                         ! no gear, direct drive
    generator_efficiency = 0.9655,            ! HAWC2/htc/IEA_15MW_RWT.htc line 513
    generator_inertia = 3.22e+06,             ! OpenFAST/IEA-15-240-RWT_ElastoDyn.dat line 78
    generator_power_rated = 15.54e+06,        ! mechanical (!) = rated_power(electrical) / generator_efficiency, HAWC2/htc/IEA_15MW_RWT.htc line 385
    generator_speed_rated = 0.792,            ! HAWC2/htc/IEA_15MW_RWT.htc line 387
    generator_torque_max = 21.59e+06,         ! HAWC2/htc/IEA_15MW_RWT.htc line 388
    generator_torque_rate_max = 10.74e+06,    ! HAWC2/htc/IEA_15MW_RWT.htc line 388 + 426
    hub_z = 150.0                             ! Table ES-1: hub height = 150 m
    n_airfoils = 8,
    nacelle_cd = 0.85,                        ! currently disabled
    nacelle_radius = 12.0,                    ! estimate, generator air gap diameter = 10.53 m (p.29)
    pitch_angle = 0.0,                        ! valid in region 2 (between 6.98 and 10.59 m/s)
    pitch_rate = 2.0,                         ! HAWC2/htc/IEA_15MW_RWT.htc line 393
    region_15_min = 0.403,                    ! = region_2_min/1.3 as it is defined for NREL 5MW (Jonkmann 2009, p. 19)
    region_2_min = 0.524,                     ! HAWC2/htc/IEA_15MW_RWT.htc line 386
    region_2_slope = 24.77e+06,               ! (generator_power_rated) / (generator_speed_rated)^2
    rotor_inertia = 310.62e+06,               ! OpenFAST/ServoData/IEA15MW.yaml line 13
    rotor_radius = 120.0,                     ! Table ES-1: rotor diameter = 240 m
    rotor_speed = 0.792,                      ! initial rotor speed, set to generator_speed_rated
    tilt_angle = 6.0,                         ! Table ES-1
    tower_cd = 1.20,
    tower_diameter = 8.0,                     ! Figure 4-2, 10 m to 6.5 m
    yaw_angle = 0.0,
    yaw_misalignment_max = 0.08726,           ! 5.0 deg
    yaw_misalignment_min = 0.008726,          ! 0.5 deg
    yaw_speed = 0.0349,                       ! = 2 deg/s, OpenFAST/IEA-15-240-RWT_ServoDyn.dat line 58
/ ! end of turbine_parameters namelist
